package com.bwie.ask.seriver.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bwie.ask.mapper.AskBuyMapper;
import com.bwie.ask.seriver.AskBuyService;
import com.bwie.common.domain.AskBuy;
import com.bwie.common.result.Result;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 求购
 */
@Service
public class AskBuyServiceImpl extends ServiceImpl<AskBuyMapper, AskBuy> implements AskBuyService {


    private final AskBuyMapper askBuyMapper;


    public AskBuyServiceImpl(AskBuyMapper askBuyMapper) {
        this.askBuyMapper = askBuyMapper;
    }

    /**
     * 求购的普通链表
     * @return
     */
    @Override
    public Result<List<AskBuy>> shouAll(){
        List<AskBuy> askBuys = askBuyMapper.shouAll();
        return Result.success(askBuys);
    }
    @Override
    public Result addAskBuy(AskBuy askBuy){
        Integer i = askBuyMapper.addAskBuy(askBuy);
        return Result.success(i>0?200:500,i>0?"发表成功!!!!":"发表失败!!!!");
    }





}
