package com.bwie.ask.seriver.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bwie.ask.mapper.EsAskBuyMapper;
import com.bwie.ask.seriver.EsAskBuyService;
import com.bwie.common.domain.AskBuy;
import com.bwie.common.redis.RedisCache;
import org.springframework.stereotype.Service;
/**
 * Es求购表
 */
@Service
public class EsAskBuyServiceImpl extends ServiceImpl<EsAskBuyMapper, AskBuy> implements EsAskBuyService {

    private final RedisCache redisCache;
    private final EsAskBuyMapper esAskBuyMapper;

    public EsAskBuyServiceImpl(RedisCache redisCache, EsAskBuyMapper esAskBuyMapper) {
        this.redisCache = redisCache;
        this.esAskBuyMapper = esAskBuyMapper;
    }
}
